<?php
/**
 * The browse view file of thinkwizard module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Yu Zhang <zhangyu@easycorp.ltd>
 * @package     thinkrun
 * @link        https://www.zentao.net
 */
namespace zin;
jsVar('updateConsumedUrl', inlink('ajaxUpdateConsumed', "runID=$step->run"));
jsVar('consumed', $run->consumed);
jsVar('hour', $config->thinkrun->hour);
jsVar('minute', $config->thinkrun->minute);

detailHeader
(
    to::prefix
    (
        backBtn(set::icon('back'), set::type('secondary'), set::url(inlink('browse', "marketID=$marketID&browseType=$browseType")), $lang->goback)
    ),
    to::title
    (
        entityLabel
        (
            setClass('font-black'),
            set::level(1),
            set::text($wizard->name)
        ),
        div(setClass('min-w-max'), $lang->thinkrun->answerProgress, span(setClass('text-success'), $answeredCount), span(setClass('mx-1'),'/'), $questionTotal)
    ),
    to::suffix
    (
        cell
        (
            div
            (
                setClass('flex h-full items-center min-w-max'),
                icon
                (
                    setClass('text-gray-800 text-sm mr-1.5'),
                    'clock'
                ),
                $lang->thinkrun->helper->consumed,
                span(setID('timer'))
            )
        )
    )
);

$step->answer  = json_decode($step->answer);
$isMulticolumn = ($step->type == 'question' && $step->options->questionType == 'multicolumn');
$thinkStep     = function() use ($step, $steps, $quotedQuestions)
{
    return thinkStep(set::item($step), set::isRun(true), set::quoteQuestions($steps), set::quotedQuestions($quotedQuestions));
};

div
(
    setClass('design-content'),
    div
    (
        setClass('pt-1 flex gap-4 items-stretch design-content'),
        setStyle(array('min-height' => 'calc(100vh - 165px)', 'max-height' => 'calc(100vh - 165px)')),
        sidebar
        (
            setClass('bg-canvas'),
            thinkStepMenu
            (
                set::toggleNonNodeShow(true),
                set::modules($steps),
                set::activeKey($step->id),
                set::showAction(false),
                set::defaultNestedShow(true),
                set::hidden(true)
            )
        ),
        div
        (
            setClass('bg-canvas flex-1 overflow-hidden'),
            $isMulticolumn ? $thinkStep : formPanel
            (
                setClass('h-full answer-form'),
                set::bodyClass('px-0 pt-0 h-full'),
                formHidden('status', ''),
                set::actions(array()),
                $thinkStep
            )
        )
    ),
    div
    (
        setClass('py-3 bg-canvas flex gap-6 justify-center border-t border-gray-100'),
        $prevURL ? btn
        (
            setStyle('width', '100px'),
            set::btnType('submit'),
            set::text($lang->thinkrun->preStep),
            set::url($step->type !== 'node' ? null : $prevURL),
            on::click('onSubmitResult("preStep")')
        ) : null,
        btn
        (
            setStyle('width', '100px'),
            set::btnType('submit'),
            set::type('primary'),
            set::text($lang->thinkrun->nextStep),
            on::click('onSubmitResult("nextStep")')
        )
    )
);
