<?php
/**
 * The preview view file of thinkwizard module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Gang Liu <liugang@easycorp.ltd>
 * @package     thinkwizard
 * @link        https://www.zentao.net
 */
namespace zin;

$canRun = common::hasPriv('thinkwizard', 'run') && $wizard->status == 'online';

panel
(
    set::title(sprintf($lang->thinkwizard->preview, $wizard->name)),
    set::titleClass('text-lg'),
    set::bodyClass('flex p-0'),
    set::shadow(false),
    div
    (
        setClass('w-2/5'),
        img(setClass('w-full h-64 object-contain'), setStyle(array('margin-top' => 'calc(-4 * var(--space))')), set::src($wizard->thumbnail))
    ),
    col
    (
        setClass('px-6 py-4 w-3/5'),
        div($wizard->desc),
        div(setClass('mt-3'), $lang->thinkwizard->duration . $lang->colon . $wizard->duration . $lang->thinkwizard->minute),
        div(setClass('mt-6'), $canRun ? a
        (
            setClass('btn primary'),
            set::href(inlink('run', "marketID=$marketID&wizardID=$wizard->id&browseType=$browseType")),
            $lang->thinkwizard->run
        ) : null),
        $canRun ? div
        (
            setClass('mt-1'),
            icon(setClass('text-warning'), 'exclamation'),
            span(setClass('text-gray pl-1'), $lang->thinkwizard->tips->run)
        ): null
    )
);
